package com.rjconsultores.ventaboletos.service.impl;

import java.util.Calendar;
import java.util.List;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import com.rjconsultores.ventaboletos.dao.GP_PricingFormapagoDAO;
import com.rjconsultores.ventaboletos.entidad.GP_Pricing;
import com.rjconsultores.ventaboletos.entidad.GP_PricingFormapago;
import com.rjconsultores.ventaboletos.service.GP_PricingFormapagoService;
import com.rjconsultores.ventaboletos.utilerias.UsuarioLogado;

@Service("gp_pricingFormapagoService")
public class GP_PricingFormapagoServiceImpl implements GP_PricingFormapagoService {

	@Autowired
	private GP_PricingFormapagoDAO pricingFormapagoDAO;

	@Override
	public List<GP_PricingFormapago> obtenerTodos() {
		return pricingFormapagoDAO.obtenerTodos();
	}

	@Override
	public GP_PricingFormapago obtenerID(Integer id) {
		return pricingFormapagoDAO.obtenerID(id);
	}

	@Transactional
	public GP_PricingFormapago suscribir(GP_PricingFormapago entidad) {
		entidad.setUsuarioId(UsuarioLogado.getUsuarioLogado().getUsuarioId());
		entidad.setFecmodif(Calendar.getInstance().getTime());
		entidad.setActivo(GP_Pricing.ATIVO);

		return pricingFormapagoDAO.suscribir(entidad);

	}

	@Transactional
	public GP_PricingFormapago actualizacion(GP_PricingFormapago entidad) {
		entidad.setUsuarioId(UsuarioLogado.getUsuarioLogado().getUsuarioId());
		entidad.setFecmodif(Calendar.getInstance().getTime());
		entidad.setActivo(GP_Pricing.ATIVO);

		return pricingFormapagoDAO.actualizacion(entidad);
	}

	@Transactional
	public void borrar(GP_PricingFormapago entidad) {
		entidad.setUsuarioId(UsuarioLogado.getUsuarioLogado().getUsuarioId());
		entidad.setFecmodif(Calendar.getInstance().getTime());
		entidad.setActivo(GP_Pricing.EXCLUIDO);

		pricingFormapagoDAO.actualizacion(entidad);
	}

	@Override
	public List<GP_PricingFormapago> obtenerTodoPorPricing(GP_Pricing pricing) {
		return pricingFormapagoDAO.obtenerTodoPorPricing(pricing);
	}

}
